Subject: RE: ssh with keys to Cygwin/Openssh on Windows XP
From: Jeffrey Hood <[email-masked]>
To: [email-masked]
Date: Fri, 11 Jul 2003 17:02:39 -0400

> I use it just fine.
> 
> Im not sure what the issue is.
> 
> 1.  Could be /etc/passwd file is not pointing to the correct $HOME

/etc/passwd from a cygwin prompt points to /cygdrive/c/home/jhood ...  just
like it should (the .ssh/authorized_keys is in under there...)

the keys are in both .ssh/authorized_keys and .ssh/authorized_keys2...  I
also have them (just in case...) in /home/jhood/.ssh/authorized_keys and
/home/jhood/.ssh/authorized_keys2

the debug output from ssh -vvv is:

debug1: authentications that can continue:
publickey,password,keyboard-interactive
debug3: start over, passed a different list
publickey,password,keyboard-interactive
debug3: preferred publickey,keyboard-interactive,password
debug3: authmethod_lookup publickey
debug3: remaining preferred: keyboard-interactive,password
debug3: authmethod_is_enabled publickey
debug1: next auth method to try is publickey
debug1: try privkey: /home/jhood/.ssh/identity
debug3: no such identity: /home/jhood/.ssh/identity
debug1: try pubkey: /home/jhood/.ssh/id_rsa
debug3: send_pubkey_test
debug2: we sent a publickey packet, wait for reply
debug1: authentications that can continue:
publickey,password,keyboard-interactive
debug1: try pubkey: /home/jhood/.ssh/id_dsa
debug3: send_pubkey_test
debug2: we sent a publickey packet, wait for reply
debug1: authentications that can continue:
publickey,password,keyboard-interactive
debug2: we did not send a packet, disable method
debug3: authmethod_lookup keyboard-interactive
debug3: remaining preferred: password
debug3: authmethod_is_enabled keyboard-interactive
debug1: next auth method to try is keyboard-interactive
debug2: userauth_kbdint
debug2: we sent a keyboard-interactive packet, wait for reply
debug1: authentications that can continue:
publickey,password,keyboard-interactive
debug3: userauth_kbdint: disable: no info_req_seen
debug2: we did not send a packet, disable method
debug3: authmethod_lookup password
debug3: remaining preferred: 
debug3: authmethod_is_enabled password
debug1: next auth method to try is password
jhood@jhoodxp's password: 

logging in with the password always works...  I'm pretty much out of ideas
at this point...

JH

> 
> 
> Is there anyone who has had any success getting sshd to work on a
> Windows XP box with keys...?  I have searche all over and tried
> everything in all the things that I have found to get copied keys in
> ~/.ssh/authorized_keys to work with the server on a Windows XP
> Professional box, and nothing is working...  ssh'ing works fine, just
> not with automatic logins with keys...
> 
> (Using Cygwin setup 2.249.2.5)
> 
> Thanks in advance...
> 
> JH
> 

-- 

jhood .a.
hmcon -d- com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/